Lua_ArtifactDetailsTalentItem = class("Lua_ArtifactDetailsTalentItem", Lua_DragContainerItem)
function Lua_ArtifactDetailsTalentItem:ctor(p)
	self:superCall("ctor", p, "ArtifactDetailsTalentItem_skin");
end

function Lua_ArtifactDetailsTalentItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_ArtifactDetailsTalentItem:dispose()
	self:superCall("dispose");
end

function Lua_ArtifactDetailsTalentItem:getWidth()
	return 650;
end

function Lua_ArtifactDetailsTalentItem:getHeight()
	return 54 + self.bg.height;
end

function Lua_ArtifactDetailsTalentItem:setData(data)
	local arr = DataCenter.artifactUtil:getTalentListById(data.id);
	local len = arr:getSize();
	local str;
	for i = 1, len do
		if i == 1 then
			str = LanUtil.formateStr(350050, data.name, tostring(arr[i].artifact_level));
			str = LanUtil.formateStr(350049, tostring(arr[i].level), arr[i].des).." "..str.."\n";
		elseif i == len then
			str = str..LanUtil.formateStr(350049, tostring(arr[i].level), arr[i].des);
		else
			str = str..LanUtil.formateStr(350049, tostring(arr[i].level), arr[i].des).."\n";
		end
	end
	self.desText.text = str;
	self.desText:resetSize();
	self.bg:SetDimensions(650, 40 + self.desText.height);
end